Skip to main content
POST
Assign Conversation

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

Body

application/json
assignee_id
number

Id of the assignee user

Example:

1

team_id
number

Id of the team. If the assignee_id is present, this param would be ignored

Example:

1

Response

Success

id
number
access_token
string
account_id
number
available_name
string
avatar_url
string
confirmed
boolean
display_name
string | null
message_signature
string | null
email
string
hmac_identifier
string
inviter_id
number | null
name
string
provider
string
pubsub_token
string
role
enum<string>
Available options:
agent,
administrator
ui_settings
object
uid
string
type
string | null
custom_attributes
object

Available for users who are created through platform APIs and has custom attributes associated.

accounts
object[]